<template>
  <div>
    <header_nav :deep_bg="true"></header_nav>
    <news_item></news_item>
    <foot></foot>
  </div>
</template>
<script>
require('../assets/index.css');
import header_nav from '../modules/header.vue'
import foot from '../modules/foot.vue'
import news_item from '../modules/news_item.vue'

export default {
  data () {
    return {
      description: ''
    }
  },
  async asyncData ({store, route}) {
    // console.log(route);
    await store.dispatch('load_news_by_id', route.params.news_id);
    // query_news_by_id
  },
  mounted () {

  },
  beforeCreate () {
    
  },
  methods: {

  },
  components: {
    header_nav,
    news_item,
    foot
  }
}
</script>